﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"
image bg underlighting = "underlighting.jpg"
image bg overlighting = "overlighting.jpg"
image bg elevator = "elevator.png"
image bg basement = "basement.png"
image bg light = "lightflash.jpg"
image bg redlight = "redflash.jpg"
image bg ending = "endcard.png"

image berserker neutral = "bers-neutral.png"
image berserker concerned = "bers-concerned.png"
image berserker angry = "bers-angry.png"
image berserker surprised = "bers-surprised.png"

image necromancer neutral = "necro-neutral.png"
image necromancer casting = "necro-casting.png"
image necromancer hurt = "necro-punchies.png"
image necromancer sad = "necro-sad.png"
image necromancer laugh = "necro-cackle.png"

image priest neutral = "hype-neutral.png"
image priest concerned = "hype-concerned.png"
image priest shocked = "hype-shocked.png"
image priest casting = "hype-casting.png"

# Declare characters used by this game.
define b = Character('Berserker', color="#c908f2")
define p = Character('Priest', color="#4af208")
define n = Character('Necromancer', color="#0886f2")

init:
    $ countdown = 60
    
    image berserker angry flip = im.Flip("bers-angry.png", horizontal=True)
    image berserker surprised flip = im.Flip("bers-surprised.png", horizontal=True)
    image berserker neutral flip = im.Flip("bers-neutral.png", horizontal=True)
    image berserker concerned flip = im.Flip("bers-concerned.png", horizontal=True)
    
    python hide:
        def count_overlay():
                if countdown_active:
                    ui.text("[countdown]", size=70, color="#f20808",
                            xpos=1.0, xanchor="right",
                            ypos=0.0, yanchor="top")
        
        config.overlay_functions.append(count_overlay)

# The game starts here.
label start:
    $ countdown_active = False
    $ time_loop = False
    scene bg underlighting
    
    "Welcome to Pizzapocalypse 20XX, the ultimate in Retrofuture dramatic roleplay."
    "In this story you are Alana Sorayama, codename Neon Berserker."
    "You are a bounty hunter, part of London v5.3's Subculture Heroes Collective."
    
    "You have embarked on a mission to eliminate a bounty within the Neo-Selfridges department store."
    "To aid you in your mission is Kendrick McNeil, codename Hypebeast Priest."
    
    "Presently, you are just about to encounter your quarry, and deal with the nefarious deeds that lie in wait."
    "I wish you luck."
    
    "???" "There's the elevator!"
    "???" "We're so close, let's get our asses in there!"
    
    play sound "door.wav"
    "*clatter clatter* *ping!* *whirrr...*"
    scene bg elevator
    with fade
    play music "Soporific.mp3"
    
    show priest neutral at left
    with dissolve
    show berserker neutral at right
    with dissolve
    
    "After the hour or so you've spent working your way through a blood-covered and entirely trashed department store, this elevator feels overwhelmingly pristine."
    "If your target came this way, he made sure not to leave a trace."
    "Priest pulls out his Holo-PDA and projects a map of the building into the confines of the elevator."
    show priest concerned
    p "Aight, so, if the blueprints we have are correct, this elevator should take us to the lowest floor..."
    p "...Which is \"Basement 9: Cosmetics, Bathroom Furnishings and Funeral Services\"."
    show priest neutral
    p "Agent Berserker, do you need to review the mission again?"
    
menu:
    p "Agent Berserker, do you need to review the mission again?"
    "Makes sense to.":
        jump explain
    
    "Nah, I'm good.":
        jump skip

label explain:
    b "Sure, it'll help me psych myself up."
    
    p "Well, you're familiar with most of this, but Wyatt Malik, A.K.A. Glam Necromancer, is the target."
    p "He's been a thorn in London v5.3's side for years, knahmean?"
    show priest concerned
    p "The Collective has gotten at least one request every few months from the public to arrest him."
    p "Mostly, it's petty vandalism and unlicensed manipulation of corpses."
    p "Intel tells us that he lives out of town, Chelmsford."
    p "He only comes to London v5.3 just to fuck with people. Not cool."
    show berserker concerned
    show priest neutral
    b "So why haven't we just sent a request to the Chelmsford Collective to jail his ass?"
    show priest concerned
    p "Yo, that's because there's no Collective to report it to. Chelmsford HAS no subculture."
    show berserker surprised
    b "...Christ, that's depressing."
    show berserker neutral
    b "So then, what's he doing here this time?"
    show priest neutral
    p "Aight, so he's stepped his game up. This is the largest necromantic attack we've seen from him."
    p "He's had Neo-Selfridges on lockdown for the last 12 hours, and has killed pretty much everyone in the building."
    p "If they weren't sacrificed to his worshipped deity, A'th C'tan Pri'mark..."
    show priest concerned
    p "...They got turned into Fashion Victims."
    show berserker concerned
    b "You mean the hordes of zombies we've had to bust our way through to get here?"
    show berserker surprised
    b "(One guy did all that? Holy shit...)"
    show berserker concerned
    p "It gets worse, yo. Scanners report that he's got some kind of ritualistic altar set up."
    p "There have been waves of totally wack vibes coming from the basement floors of the building."
    show priest neutral
    p "Which, as I'm sure you've worked out, is where this elevator is headed."
    hide priest
    with dissolve
    hide berserker
    with dissolve
    jump elevator
    
label skip:
    b "It's cool, I got the gist of the mission from Commander Rockabilly."
    b "A necromancer and an infestation of shambling horrors need taking out."
    show berserker concerned
    b "Plus, there's something going on in the basement that we need to trash, ASAP."
    
    p "Word. Succinctly put."
    hide priest
    with dissolve
    hide berserker
    with dissolve
    jump elevator
    
label elevator:
    stop music fadeout 1.0
    
    
    "The elevator reaches the 9th basement with a soft thump."

    scene bg basement
    with fade
    "The doors ease open and you step out onto the shop floor."
    show berserker neutral flip at left
    with dissolve
    "However, most of it is shrouded in thick, pungent fog. The smell does nothing to assuade the mounting sense of unease in your stomach."
    
    if time_loop:
        b "(...That's odd, haven't I done this before?)"
        show berserker surprised flip
        b "(Oh! It's the spell Priest used!)"
        show berserker concerned flip
        b "(I should be extra careful to not fuck it up this time. Let's do this!)"
    
    "Through the fog is Glam Necromancer."
    hide berserker
    with moveoutleft
    show necromancer casting at right
    with moveinright
    play music "Basement Floor.mp3"
    "He stands within a massive magic circle, surrounded by countless bathroom scented candles and gem-studded skulls."
    "Cosmetics are strewn everywhere as stalls of product have been shoved aside to make room for the ritual."
    hide necromancer
    with moveoutright
    show berserker concerned flip at left
    with moveinleft
    b "(This place is in a fucking state.)"
    show berserker surprised flip
    b "(And that smell! It's like artificial fruit and... gone-off meat? Gross.)"
    show berserker concerned flip
    "Glam Necromancer has his eyes rolled into the back of his head as he chants an incantation."
    "(Though as far as you can tell, it's complete gibberish.)"
    
    hide berserker
    with moveoutleft
    show necromancer casting at right
    with moveinright
    n "Kaa... Nik Thau Bir Tuu..."
    n "Two medium onions... One and a half teaspoons of mustard powder..."
    n "Acruth Simlaa Rea'dulum..."
    hide necromancer
    with moveoutright
    show berserker concerned flip at left
    with moveinleft
    
    "He falls silent as he senses a foreign presence in the room."
    "The glowing magic circle continues to pulse, and the odd stench fails to become less unpleasant."
    
    show necromancer neutral at right
    with moveinright
    n "Ah, so the pathetic dogs from the Collective have arrived to put a stop to me."
    show necromancer laugh
    n "But you are too late! The ritual is almost complete!"
    n "My culinary doomsday WILL be actualised!"
    
    hide berserker
    with moveoutleft
    show priest shocked at left
    with moveinleft
    p "I'm sorry, what?"
    
    show necromancer neutral
    n "In mere moments, I shall use the power of the elder gods..."
    n "To turn all pizza..."
    stop music fadeout 1.0
    show necromancer laugh
    with vpunch
    n "Into rotten meatloaf!"
    
    show priest concerned
    p "Why the fuck would..."
    play music "Exotics.mp3"
    hide priest
    with moveoutleft
    show berserker angry flip at left
    with moveinleft
    b "No! You COMPLETE BASTARD!"
    
    n "Yes! Your anguish is just what I crave!"
    n "Scream and cry as I remove one of your precious loves!"
    
    show necromancer casting
    hide berserker
    with moveoutleft
    "The Necromancer begins to chant again."
    play sound "flash.wav"
    scene bg redlight
    with dissolve
    scene bg basement
    with dissolve
    show necromancer casting at right
    with dissolve
    "A glowing ball of red energy forms near the ceiling of the room, parting the fog in its wake."
    "It centers itself above the magic circle with a sense of ominous importance."
    $ countdown_active = True
    $ countdown = 60
    show necromancer laugh
    n "The end is here! You have one minute to make your peace!"
    
    
    hide necromancer
    with moveoutright
    show berserker angry flip
    with moveinleft
    show priest concerned at left
    with moveinleft
    p "Hmm... What he said earlier was really odd."
    show berserker concerned
    b "Eh? You mean the chanting?"
    p "No, it's that he seems to know..."
    show priest neutral
    p "Whatever, it may not be important. But I think you should take point."
    p "If you ever need my help, just ask. S'cool."
    
    "As you talk, the ball of energy starts to slowly descend towards the magic circle."
    "You don't want to think about what will happen if it makes contact."
    hide priest
    with moveoutleft
    show berserker concerned flip
    "You step forward, ready to settle things with this punk Necromancer as quickly as possible."
    "(You realise that he's Glam and not Punk, but you don't let that distract you too much.)"
    
    $ countdown -= 10
    "It's your actions that matter from here on out."
    "Every decision will take 10 seconds to execute. Can you save the world's pizza?"
    
    "So, what's your first move?"
    
menu:
    "So, what's your first move?"
    "Let's get up close and personal!":
        jump rush
    
    "Let's hold postion and scope the place.":
        jump wait
        
